////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMFont.h
//
// Description: Declaration of the SMFont class. This class is used to
//				load and render TTF fonts to the current OpenGL framebuffer.
//				This class wraps most of the functionality found in FTGL that
//				is useful for game development.
//
//				See SMFont.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SM_FONT_H
#define SM_FONT_H

class SMFont
{
private:
	FTFont *_font;
	int _size;
	int _aliasMode;
protected:
public:
	SMFont();
	SMFont(char *, int);
	~SMFont();
	int setSize(int);
	int getSize();
	
	// NOTE: There is a limization of 1024 bytes for the full text size
	void print(int, int, float, float, float, float, char *, ...);
	
	void stringBounds(char *, float &, float &);
	float lineHeight();
	float descender();
	float ascender();
	float advance(char *string);
	float fullHeight();
};

#endif
