////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMFontCache.h
//
// Description: Declaration of the SMFontCache class. This class is used internally
//				to prevent loading the same fonts over and over again for widget items
//
//				See SMFontCache.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMFONTCACHE_H
#define SMFONTCACHE_H

#include <vector>

class _SMFontCache
{
private:
	std::vector<_SMFontCacheItem *> *_fonts;
	void clearFontVector();
	
protected:
public:
	_SMFontCache();
	~_SMFontCache();	
	SMFont *fontAtPath(char *, int, int);
	int numberOfFonts();
	void clear();
};

#endif
