////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMGamePad.h
//
// Description: Declaration for functionality of the gamepad routines. Also
//				contains the constant definitions for each gamepad button that
//				we care about. Basically a wrapper around SDL functionality.
//
//				See SMGamePad.cpp
//
////////////////////////////////////////////////////////////////////////////////
extern SDL_Joystick *_SMGamePad;

int SMInitGamePad();
void SMDeInitGamePad();
int SMGamePadPressedButton(); // Index of first pressed button we find
int SMGamePadButton(int button);
int SMGamePadButton(int button, int checkDown);
int SMGamePadHat(int);
int SMGamePadAxis(int);

// Convenience. Uses threshold
int SMGamePadAxisUp();
int SMGamePadAxisDown();
int SMGamePadAxisLeft();
int SMGamePadAxisRight();

const char *SMGamePadButtonToString(int button);

#define SMGPH_UP SDL_HAT_UP
#define SMGPH_DOWN SDL_HAT_DOWN
#define SMGPH_LEFT SDL_HAT_LEFT
#define SMGPH_RIGHT SDL_HAT_RIGHT

#define SMGPA_LEFT_RIGHT 0
#define SMGPA_UP_DOWN 1
#define SMGPA_MAX_VALUE 32767
#define SMGPA_GENERIC_THRESHOLD_VALUE (SMGPA_MAX_VALUE * .5)

#define SM_GAMEPAD_MAX_BUTTONS_PRIVATE 16
#define SM_GAMEPAD_MAX_AXES_PRIVATE 8

void _SMSetGamePadButton(int);
void _SMUnsetGamePadButton(int);
void _SMSetHat(int);
void _SMSetAxis(int, int);
