////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMIncludes.h
//
// Description: Include definitions for all components that are not
//				supermissile specific. That is, all stuff for opengl, font 
///				rendering,	sdl, etc.
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMINCLUDES_H
#define SMINCLUDES_H

#ifdef SMMACOSX
    #include <OpenGL/OpenGL.h>
    #include <OpenGL/glu.h>
    #include <SDL.h>
    #include <SDL_image.h>
    #include <SDL_mixer.h>
	#include <FTGL/ftgl.h>

	// Networking
	#include <sys/types.h>
	#include <sys/socket.h>
	#include <netinet/in.h>
	#include <fcntl.h>
	#include <netdb.h>
	#include <arpa/inet.h>

#elif defined SMWINDOWS 
    #include <Windows.h>
    #include <SDL/SDL.h>
    #include <SDL/SDL_Image.h>
    #include <SDL/SDL_Mixer.h>
    #include <GL/gl.h>
    #include <GL/glu.h>
	#include <FTGL/FTGLPolygonFont.h>
	#include <FTGL/FTGLTextureFont.h>
	#include <winsock.h>

#elif defined SMLINUX
    #include <SDL/SDL.h>
    #include <SDL/SDL_image.h>
    #include <SDL/SDL_mixer.h>
    #include <GL/gl.h>
    #include <GL/glu.h>
    #include <FTGL/ftgl.h>

#elif defined SMIPHONE
		

#endif

#include <sys/stat.h>
#include <dirent.h>
#include <math.h>


#endif
