////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMLogicTiming.h
//
// Description: Declaration for all functions and global variables related
//				to perfoming logic loop timing
//
//				See SMLogicTiming.cpp, including usage
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMLOGIC_H
#define SMLOGIC_H

#include "SMIncludes.h"

extern Uint32 _SMLogicCurrentTime;
extern Uint32 _SMLogicLastTime;
extern Uint32 _SMLogicTimeRequiredPerLogicCycle;
extern Uint32 _SMLogicTimeElapsed;
extern Uint32 _SMLogicSpeed;

void SMSetLogicInterval(unsigned int BPS);
void SMResetLogicLoop(void);
void SMPreLogicLoop(void);
int SMLogicLoop(void);
void SMLogicUpdate(void);
void SMPostLogicLoop(void);

#endif
