////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMMouse.h
//
// Description: Declaration for functionality of the mouse routines. Also
//				contains the constant definitions for each mouse button.
//			    Basically a wrapper around SDL functionality.
//
//				See SMMouse.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMMOUSE_H
#define SMMOUSE_H

extern Uint16 SMMouseX;
extern Uint16 SMMouseY;
extern Uint16 SMMouseXRelative;
extern Uint16 SMMouseYRelative;

extern int _SMMouseButtonLeft;
extern int _SMMouseButtonRight;
extern int _SMMouseButtonMiddle;
extern int _SMMouseButtonWheelUp;
extern int _SMMouseButtonWheelDown;

#define SMM_LEFT	   0
#define SMM_RIGHT  	   1
#define SMM_MIDDLE	   2
#define SMM_WHEEL_DOWN 3
#define SMM_WHEEL_UP   4

int SMMouse(int);
void SMShowMouse(int);
void _SMSetMouse(SDL_MouseButtonEvent);

#endif
