////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMMusic.h
//
// Description: Declaration for the SMMusic class. An SMMusic is essentially
//				a wrapper around SDL_Mixer and provides capabilities to load
//				a given music file from disk, and perform playback.
//			    Basically a wrapper around SDL functionality.
//
//				Currently supports: MOD family, MP3, WAV
//
//				See SMMusic.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMMUSIC_H
#define SMMUSIC_H

class SMMusic
{
private:
	Mix_Music *music;
protected:
public:
	SMMusic();
	SMMusic(char *);
	~SMMusic();
	int isPlaying();
	int play(int);
	void stop(void);
	void pause(void);
	void resume(void);
	void setVolume(int);
	int volume();
	
};

#endif
