#ifndef SMNETWORKSERVER_H
#define SMNETWORKSERVER_H

#include "SuperMissile.h"

class SMNetworkServer
{
public:
	SMNetworkServer();
	SMNetworkServer(char *address, int port, int maxClients, int timeout, int backlog);
	~SMNetworkServer();
	
	int checkForIncomingConnections();
	int _sendBufferToClient(int clientID, void *buffer, int bufSize);
	void _sendBufferToAllClients(void *buffer, int bufSize);
	
	int sendBufferToClient(int clientID, SMNetworkBuffer *buffer);
	void sendBufferToAllClients(SMNetworkBuffer *buffer);
	
	SMNetworkBuffer *receiveBufferFromClient(int clientID);
	void *_receiveBufferFromClient(int clientID, int asNetworkBuffer);
	void disconnectClient(int clientID);
	void disconnectAllClients();

	int isClientConnected(int clientID);
	
#ifndef SMWINDOWS	
	char *IPAddress();
#endif
	
	static const int INVALID_CLIENT = -2;

protected:
private:
	int _socket;
	int _port;
	int _backlog;
	struct sockaddr_in _addr;
	int _timeout;
	int _maxClients;
	int *_connections;
	struct sockaddr_in *_connectionAddrs;
	
	int _validClient(int);
};

#endif
