////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMSound.h
//
// Description: Declaration for the SMSound class. An SMSound is essentially
//				a wrapper around SDL_Mixer and provides capabilities to load
//				a given sound sample from disk, and perform playback
//              Basically a wrapper around SDL functionality.
//
//				Currently supports: WAV, AIFF
//
//				See SMSound.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMSOUND_H
#define SMSOUND_H

#include "SMIncludes.h"

class SMSound
{
private:
	Mix_Chunk *sound;
	int channel;
	int vol; // Need to keep track of volume because channels are shared...
protected:
public:
	SMSound();
	SMSound(char *);
	~SMSound();
	int play(int);
	int isPlaying();
	void stop(void);
	void setVolume(int volume);
	int volume();
	void setPanning(int left, int right);
	void setDistance(int distance);
};

void SMSetSoundVolume(int);
void SMStopAllSounds();

#endif
