////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMTimer.h
//
// Description: Declaration for the SMTimer class. This class creates a
//				generic timing mechanism, that each time it is polled will
//				increment a counter and tell the caller whether said counter
//				has reached a given limit. This is useful for being able to
//				perform the same action every so often. This class is basically
//				the synchronous version of an automated, timed callback
//
//				See SMTimer.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMTIMER_H
#define SMTIMER_H

class SMTimer
{
private:
	int _counter;
	int _currentTimeout;
	int _maxTimeout;
	int _minTimeout;
	
	void _sharedInit(int tickTimeout);
	
protected:
public:
	SMTimer();
	SMTimer(int);
	~SMTimer();
	
	void setTimeout(int);
	void setMinMaxTimeout(int, int);
	void reset(void);
	int tick(void);	
};

#endif
