////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMUIButton.h
//
// Description: Declaration of the SMUIButton class. This class renders basic
//				clickable buttons that can contain text within their boundaries
//
//				See SMUIButton.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMUIBUTTON_H
#define SMUIBUTTON_H

class SMUIButton : public _SMUIWidget
{
private:

	float _nbgr;
	float _nbgg;
	float _nbgb;
	float _nbga;
	
	float _dbgr;
	float _dbgg;
	float _dbgb;
	float _dbga;
	
	float _br;
	float _bg;
	float _bb;
	float _ba;
	
	float _tr;
	float _tg;
	float _tb;
	float _ta;
	
	SMFont *_font;
	char *_text;
	float _textWidth;
	float _textHeight;
	
protected:
public:
	SMUIButton();
	~SMUIButton();
	virtual void draw();
	virtual void setBounds(int, int);
	
	//int setFont(SMFont *);
	int setFont(char *, int);
	int setFontSize(int);
	int setText(char *);
	void setNormalBackgroundColor(float, float, float, float);
	void setDepressedBackgroundColor(float, float, float, float);
	void setBorderColor(float, float, float, float);
	void setTextColor(float, float, float, float);
};

#endif
