////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMUIMenuItem.h
//
// Description: Declaration of the SMUIMenuItem class. This class represents the contents
//				of a single menu item. These are placed within a menu
//
//				See SMUIMenuItem.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMUIMENUITEM_H
#define SMUIMENUITEM_H

class _SMUIMenuItem : public _SMUIMenuBase
{
public:
	_SMUIMenuItem();
	_SMUIMenuItem(char *, void (*)(void *), void *, int, int);
	~_SMUIMenuItem();

	virtual int isOpen();
	virtual void close();
	virtual void poll();
	virtual void draw();
//	virtual void setFont(SMFont *);
	virtual void setFont(char *, int, int);
	virtual void setFontSize(int size);
	virtual void resize();
protected:
private:
	virtual void layout();
	void (*_callBack)(void *);
	void *_callBackData;
	int _modifierKey;
	int _actionKey;
	int _alreadyKeyTriggered;
//	void searchForFont();
};

#endif
