////////////////////////////////////////////////////////////////////////////////
// supermissile
////////////////////////////////////////////////////////////////////////////////
//
// File: SMUIWidget.h
//
// Description: Declaration of the SMUIWidget class. This class serves as the
//				foundation from which all other basic UI elements are created.
//				Stores state information such as when widgets are clicked, as
//				well as positioning and sizing.
//
//				See SMUIWidget.cpp
//
////////////////////////////////////////////////////////////////////////////////
#ifndef SMUIWIDGET_H
#define SMUIWIDGET_H

class _SMUIWidget
{
private:
	int _xPos;
	int _yPos;
	int _width;
	int _height;
		
protected:
	static const int SMUIWidgetStateNormal;
	static const int SMUIWidgetStateHover;
	static const int SMUIWidgetStateDepressed;
	int _mouseDownInside;
	int _mouseDown;
	int _state;
	int _forceAClickRead;
	char *_fontPath;
	int _fontMode;
	int _fontSize;
	
public:
	_SMUIWidget();
	virtual ~_SMUIWidget();
	void setPos(int, int);
	void setBounds(int, int);
	int xPos();
	int yPos();
	int w();
	int h();
	int width();
	int height();
	virtual int mouseOver();
	virtual int clicked(int);
	virtual void click(void);
	virtual void draw();
};

#endif
